GCLOUD_COMPUTE_INSTANCES_DELETE(1)

NAME

gcloud compute instances delete - delete Google Compute Engine virtual machine instances

SYNOPSIS

gcloud compute instances delete NAME [NAME ...] [--delete-disks {boot,data,all} | --keep-disks {boot,data,all}] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instances delete deletes one or more Google Compute Engine virtual machine instances.

POSITIONAL ARGUMENTS
NAME [NAME ...]
    The names of the instances to delete.

FLAGS
--delete-disks {boot,data,all}
    The types of disks to delete with instance deletion regardless of the disks' auto-delete configuration. When this flag is provided, the auto-delete bits on the attached disks are modified accordingly before the instance deletion requests are issued. For more information on disk auto-deletion, see https://cloud.google.com/compute/docs/disks/persistent-disks#updateautodelete.
--keep-disks {boot,data,all}
    The types of disks to not delete with instance deletion regardless of the disks' auto-delete configuration. When this flag is provided, the auto-delete bits on the attached disks are modified accordingly before the instance deletion requests are issued. For more information on disk auto-deletion, see https://cloud.google.com/compute/docs/disks/persistent-disks#updateautodelete.
--zone ZONE
    The zone of the instances to delete. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.